const {declare} = require("@babel/helper-plugin-utils")

module.exports = declare(function (api) {
  api.assertVersion(7)

  const plugins = [
    [
      "@babel/plugin-transform-modules-commonjs",
      {
        lazy: string => !(string === "debug" || string === "path")
      }
    ],

  ]

  const isDevMode = process.env.NODE_ENV === "development" || process.env.BABEL_ENV === "development";
  if (!isDevMode) {
    plugins[1] = [
      "transform-async-to-module-method",
      {
        module: "bluebird-lst",
        method: "coroutine"
      }
    ]
  }

  return {plugins: plugins}
})